API referenceWebhooks
GET
/webhooks/{id}/deliveries

JavaScript SDK: swarmhit.webhooks.listDeliveries(webhookId, params?)

The recent delivery attempts for a webhook — useful for debugging an integration. Rows are dropped 7 days after creation.

Authorization

bearerAuth
AuthorizationBearer <token>

An API key created on the Access tokens page.

In: header

Path Parameters

id*string

Query Parameters

limit?integer

Page size, 1–100.

Range1 <= value <= 100
Default50
offset?integer

Number of records to skip.

Range0 <= value
Default0

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/webhooks/string/deliveries"
{  "data": [    {      "id": "string",      "webhookId": "string",      "event": "string",      "url": "string",      "status": "pending",      "attempts": 0,      "responseStatus": 0,      "lastError": "string",      "nextAttemptAt": "2019-08-24T14:15:22Z",      "createdAt": "2019-08-24T14:15:22Z",      "deliveredAt": "2019-08-24T14:15:22Z",      "payload": {}    }  ],  "paging": {    "limit": 0,    "offset": 0  }}